package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.BasePigpen;
import com.huimv.admin.entity.dto.BasePigpenDto;
import com.huimv.admin.service.IBasePigpenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-02-13
 */
@RestController
@RequestMapping("/basePigpen")
public class BasePigpenController {
    @Autowired
    private IBasePigpenService basePigpenService;


    @PostMapping( "/addPigpen")
    public Result addPigpen(@RequestBody BasePigpenDto basePigpenDto) {
        return basePigpenService.addPigpen(basePigpenDto);
    }

    @RequestMapping(value = "/list",method = RequestMethod.POST)
    public Result list(@RequestBody Map<String, Object> paramsMap) {
        System.out.println("paramsMap>>"+paramsMap.toString());
        String farmCode = "";
        if (paramsMap.get("farmId") != null) {
            farmCode = paramsMap.get("farmId")+"";
        }
        String stageCode = "";
        if (paramsMap.get("stageCode") != null) {
            stageCode = paramsMap.get("stageCode")+"";
        }
        String pigpenName = "";
        if (paramsMap.get("pigpenName") != null) {
            pigpenName = paramsMap.get("pigpenName")+"";
        }
        return basePigpenService.list(farmCode,pigpenName,stageCode);
    }
}
